;シャドウのコマンド設定
;==============================================================================
;-| ボタンリマップ（ボタンコンフィグ）|---------------------------------------- 

[Remap]
x = x      ;Ｘボタンの入力判定を実際に押すボタンに割り当てる。
y = y      ;Ｙボタン　　　　　　　　　〃
z = z      ;Ｚボタン　　　　　　　　　〃
a = a      ;Ａボタン　　　　　　　　　〃
b = b      ;Ｂボタン　　　　　　　　　〃
c = c      ;Ｃボタン　　　　　　　　　〃
s = s      ;スタートボタン　　　　　　〃


;-| デフォルト設定 |----------------------------------------------------------- 

[Defaults]
command.time = 15  ;標準のコマンド入力受付時間。
                   ;各コマンドで省略している場合に有効。
                   ;このパラメータを消した場合、デフォルトは１フレームになる。
                   ;（　M.U.G.E.Nでの１フレーム　＝　１／６０秒　）

command.buffer.time = 5  ;標準のコマンド入力記憶時間。
                         ;入力した直後にコマンドを記憶し、
                         ;指を離してもコマンドが成功している状態を
                         ;ここで設定した時間の分維持する。
                         ;１〜３０フレームまでの間で設定可能。
                         ;デフォルトは１フレーム。


;-| AIセット |-----------------------------------------------------------------

[Command]
name = "AI0"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI1"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI2"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI3"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI4"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI5"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI6"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI7"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI8"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI9"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI10"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI11"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI12"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI13"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI14"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI15"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI16"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI17"
command = a,B,c,x,y,z,s,B,D,F,U,a,b,c,x,y,z,s,s
time = 0
[Command]
name = "AI18"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI19"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI20"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI21"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI22"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI23"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI24"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI25"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI26"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI27"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI28"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI29"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI30"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI31"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI32"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI33"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI34"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI35"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI36"
command = z,z,z,z,z,z,a,a,a,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI37"
command = z,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,z,z,z
time = 0
[Command]
name = "AI38"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z
time = 0
[Command]
name = "AI39"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI40"
command = z,z,z,z,a,a,a,z,z,z,z,a,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI41"
command = z,z,z,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z,z
time = 0
[Command]
name = "AI42"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI43"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,a,a,z
time = 0
[Command]
name = "AI44"
command = z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,a,a,a,z
time = 0
[Command]
name = "AI45"
command = z,z,z,z,z,z,a,a,z,z,z,z,z,a,a,a,a,z,z
time = 0
[Command]
name = "AI46"
command = z,z,z,z,z,z,z,z,a,a,a,a,a,a,z,z,z,z,z
time = 0
[Command]
name = "AI47"
command = z,z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI48"
command = z,z,z,z,z,a,a,a,z,z,z,a,a,a,z,z,a,z,a
time = 0
[Command]
name = "AI49"
command = z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z,z
time = 0
[Command]
name = "AI50"
command = z,z,z,a,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z
time = 0

;------------------------------------------------------------------------------
;-| 超必殺技 |-----------------------------------------------------------------
[Command]
name = "boost"
command = ~D,DB,B,D,DB,B,c
time = 35

[Command]
name = "blast2"
command = ~D,D,D,D,a
time = 35

[Command]
name = "blast1"
command = ~D,D,D,a
time = 35

[Command]
name = "shadow"
command = ~F,DF,D,DB,B,b
time = 35

[Command]
name = "combination"
command = ~B,DB,D,DF,F,b
time = 35

[Command]
name = "control"
command = a,F,b,B,s
time = 60

;------------------------------------------------------------------------------
;-| 必殺技 |-----------------------------------------------------------------
[Command]
name = "magic a"
command = ~B,DB,D,a
time = 15

[Command]
name = "magic b"
command = ~B,DB,D,b
time = 15

[Command]
name = "magic c"
command = ~B,DB,D,c
time = 15

[Command]
name = "burst a"
command = ~D,DB,B,a
time = 15

[Command]
name = "burst b"
command = ~D,DB,B,b
time = 15

[Command]
name = "burst c"
command = ~D,DB,B,c
time = 15

[Command]
name = "CC"
command = ~D,D,a
time = 15

[Command]
name = "CD"
command = ~D,D,b
time = 15

[Command]
name = "CH"
command = ~D,D,c
time = 15

[Command]
name = "SS"
command = ~D,D,x
time = 15

[Command]
name = "CS"
command = ~D,D,y
time = 15

[Command]
name = "CN"
command = ~D,D,z
time = 15

[Command]
name = "end"
command = ~D,DF,F,a
time = 15

[Command]
name = "CDP"
command = ~D,DF,F,b
time = 15

[Command]
name = "CB"
command = ~D,DF,F,c
time = 15

[Command]
name = "SM"
command = ~D,DF,F,x
time = 15

[Command]
name = "SB"
command = ~D,DF,F,y
time = 15

;------------------------------------------------------------------------------
;-| キー２回連続入力 |---------------------------------------------------------

[Command]
name = "FF"       ;必須コマンド名
command = F, F
time = 10

[Command]
name = "BB"       ;必須コマンド名
command = B, B
time = 10

;------------------------------------------------------------------------------
;-| 同時押し |-----------------------------------------------------------------

[Command]
name = "a+x"
command = a+x
time = 1

[Command]
name = "recovery" ;必須コマンド名
command = x+y
time = 1

[Command]
name = "recovery" ;必須コマンド名
command = a+b
time = 1

;------------------------------------------------------------------------------
;-| 方向キー＋ボタン |---------------------------------------------------------

[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_x"
command = /$D,x
time = 1

[Command]
name= "fwd_a"
command=/$F,a
time=1

[Command]
name="fwd_x"
command=/$F,x
time=1

[Command]
name= "back_a"
command=/$B,a
time=1

[Command]
name="back_x"
command=/$B,x
time=1


;------------------------------------------------------------------------------
;-| ボタン単発 |---------------------------------------------------------------

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;---------------------------
[Command]
name = "hold_a"
command = /a

[Command]
name = "hold_c"
command = /c

[Command]
name = "hold_y"
command = /y

[Command]
name = "hold_x"
command = /x

;------------------------------------------------------------------------------
;-| 方向キー |-----------------------------------------------------------------

[Command]
name = "holdfwd"   ;必須コマンド名
command = /$F
time = 1

[Command]
name = "holdback"  ;必須コマンド名
command = /$B
time = 1

[Command]
name = "holdup"    ;必須コマンド名
command = /$U
time = 1

[Command]
name = "holddown"  ;必須コマンド名
command = /$D
time = 1

;------------------------------------------------------------------------------
;-| 空中ジャンプ|-----------------------------------------------------
[Command]
name = "airjumpfwd"
command = UF
time = 1

[Command]
name = "airjump"
command = U
time = 1

[Command]
name = "airjumpback"
command = UB
time = 1


[command]
name="fwd"
command=F
time=1
[command]
name="back"
command=B
time=1
[command]
name="up"
command=U
time=1
[command]
name="down"
command=D
time=1 


; ステートエントリーパート
;==============================================================================
;------------------------------------------------------------------------------

[Statedef -1]

[State -1]
type=Varset
trigger1=1
sysvar(2)=0
ignorehitpause=1

[state -1,学習]
type = changestate
value = var(10)
triggerall = palno = 12
triggerall = statetype = S
triggerall = ctrl
triggerall = roundstate = 2
trigger1 = var(10)

[state -1,カオスエンド]
type = changestate
value = 212
triggerall = palno = 12
triggerall = statetype = S
triggerall = ctrl
triggerall = roundstate=2
triggerall = Stateno!=212
triggerall = Stateno!=213
triggerall = !hitpausetime
trigger1 = !(sysvar(0)&128)
trigger1 = command = "end"
trigger2 = alive
trigger2 = !sysfvar(0)
trigger2 = fvar(6) > 4
trigger2 = var(58)>7000
trigger2 = sysvar(3)>998
trigger2 = ctrl
trigger3 = alive
trigger3 = sysfvar(0)=1
trigger3 = fvar(6) > 4
trigger3 = var(58)>10000
trigger3 = sysvar(3)>998
trigger3 = ctrl
trigger4 = alive
trigger4 = sysfvar(0)=2
trigger4 = fvar(6) > 4
trigger4 = var(58)>15000
trigger4 = sysvar(3)>998
trigger4 = ctrl
trigger5 = alive
trigger5 = sysfvar(0)=3
trigger5 = fvar(6) > 4
trigger5 = var(58)>30000
trigger5 = sysvar(3)>998
trigger5 = ctrl

[state -1,学習アーマーキラー]
type = changestate
value = 207
triggerall = palno = 12
triggerall = statetype = S
triggerall = ctrl
triggerall = roundstate = 2
triggerall = enemy,alive
trigger1 = (sysvar(0)&128)
trigger1 = (sysvar(0)&256)
trigger1 = fvar(39)<6

[state -1,カオスコントロール]
type = changestate
value = 200
triggerall = palno = 12
triggerall = statetype = S
triggerall = ctrl
triggerall = Stateno!=200
triggerall =roundstate = 2
trigger1 = !(sysvar(0)&128)
trigger1 = command = "CC"
trigger2 = (sysvar(0)&128)
trigger2 = var(58)>200
trigger2 = !fvar(6)
trigger2 = random<50
trigger3 = (sysvar(0)&128)
trigger3 = var(58)>500
trigger3 = fvar(6)<4
trigger3 = !var(1)
trigger3 = !var(14)
trigger3 = random<70
trigger4 = (sysvar(0)&128)
trigger4 = var(58)>5500
trigger4 = fvar(6)>3
trigger4 = fvar(3)>6
trigger4 = fvar(0)>7
trigger4 = random<70
trigger4 = (sysvar(0)&128)
trigger4 = var(58)>1000
trigger4 = !fvar(6)
trigger4 = random<380
trigger5 = (sysvar(0)&128)
trigger5 = var(58)>3500
trigger5 =fvar(6)<5
trigger5 = random<48
trigger6 = (sysvar(0)&128)
trigger6 = var(58)>6000
trigger6 =fvar(6)<6
trigger6 = random<700
trigger7 = (sysvar(0)&128)
trigger7 = var(58)>3500
trigger7 =!fvar(6)
trigger7 = random<480
trigger8 = (sysvar(0)&128)
trigger8 = var(58)>6500
trigger8 =fvar(6)<6
trigger8 = random<700

[state -1,カオスディストラクション]
type = changestate
value = 202
triggerall = palno = 12
triggerall = statetype = S
triggerall = ctrl
triggerall = Stateno!=202
triggerall =roundstate = 2
trigger1 = !(sysvar(0)&128)
trigger1 = command = "CD"
trigger2 = (sysvar(0)&128)
trigger2 = var(58)>100
trigger2 = fvar(8)
trigger2 = !fvar(0)
trigger2 = var(1)||var(6)
trigger2 = random<220
trigger3 = (sysvar(0)&128)
trigger3 = var(58)>100
trigger3 = fvar(8)
trigger3 = !fvar(0)
trigger3 = !var(1)&&!var(6)
trigger3 = !var(14)
trigger3 = random<20
trigger4 = (sysvar(0)&128)
trigger4 = var(58)>100
trigger4 = fvar(0)<5
trigger4 = fvar(3)
trigger4 = fvar(6)
trigger4 = var(1)&&var(2)
trigger4 = random<45
trigger5 = (sysvar(0)&128)
trigger5 = var(58)>100
trigger5 = fvar(0)<5
trigger5 = fvar(3)
trigger5 = fvar(6)
trigger5 = var(1)&&var(2)&&var(3)
trigger5 = random<65
trigger6 = (sysvar(0)&128)
trigger6 = var(58)>100
trigger6 = fvar(0)<5
trigger6 = fvar(3)
trigger6 = fvar(6)
trigger6 = var(1)&&var(2)&&var(3)&&var(4)
trigger6 = random<78
trigger7 = (sysvar(0)&128)
trigger7 = var(58)>100
trigger7 = fvar(0)<fvar(3)&&fvar(0)<fvar(6)
trigger7 = random<40
trigger8 = (sysvar(0)&128)
trigger8 = var(58)>700
trigger8 = !fvar(0)
trigger8 = random<310
trigger9 = (sysvar(0)&128)
trigger9 = fvar(0)>6
trigger9 = !var(1)&&!var(6)
trigger9 = random<7
trigger10 = (sysvar(0)&128)
trigger10 = var(58)>7000
trigger10 =fvar(0)<3
trigger10 = random<700
trigger10 = (sysvar(0)&128)
trigger10 = var(58)>5000
trigger10 = random<4

[state -1,カオスホール]
type = changestate
value = 203
triggerall = palno = 12
triggerall = statetype = S
triggerall = ctrl
triggerall = Stateno!=203
triggerall =roundstate = 2
trigger1 = !(sysvar(0)&128)
trigger1 = command = "CH"
trigger2 = (sysvar(0)&128)
trigger2 = var(58)>100
trigger2 = fvar(7)
trigger2 = !fvar(3)
trigger2 = var(14)
trigger2 = random<200
trigger3 = (sysvar(0)&128)
trigger3 = var(58)>100
trigger3 = !fvar(3)
trigger3 = fvar(7)
trigger3 = !var(14)
trigger3 = !var(1)||var(6)
trigger3 = random<40
trigger4 = (sysvar(0)&128)
trigger4 = var(58)>100
trigger4 = fvar(0)
trigger4 = fvar(3)
trigger4 = fvar(6)
trigger4 = fvar(3)<8
trigger4 = var(14)&&var(15)
trigger4 = random<40
trigger5 = (sysvar(0)&128)
trigger5 = var(58)>100
trigger5 = fvar(0)
trigger5 = fvar(3)
trigger5 = fvar(6)
trigger5 = var(14)&&var(15)&&var(16)
trigger5 = fvar(3)<8
trigger5 = random<30
trigger6 = (sysvar(0)&128)
trigger6 = var(58)>100
trigger6 = fvar(0)
trigger6 = fvar(3)
trigger6 = fvar(6)
trigger6 = var(14)&&var(15)&&var(16)&&var(17)
trigger6 = fvar(3)<5
trigger6 = random<70
trigger7 = (sysvar(0)&128)
trigger7 = var(58)>100
trigger7 = fvar(3)<fvar(0)&&fvar(3)<fvar(6)
trigger7 = random<20
trigger8 = (sysvar(0)&128)
trigger8 = var(58)>100
trigger8 = enemy,gethitvar(fall.damage)
trigger8 = random<30
trigger9 = (sysvar(0)&128)
trigger9 = var(58)>1000
trigger9 = !fvar(3)
trigger9 = random<280
trigger10 = (sysvar(0)&128)
trigger10 = var(58)>2300
trigger10 = random<25
trigger11 = (sysvar(0)&128)
trigger11 = var(58)>100
trigger11 = !fvar(3)
trigger11 = !var(1)&&!var(6)
trigger11 = random<220
trigger12 = (sysvar(0)&128)
trigger12 = var(58)>2900
trigger12 = random<20
trigger13 = (sysvar(0)&128)
trigger13 = var(58)>7000
trigger13 =fvar(3)<3
trigger13 = random<700

[state -1,カオススラッシュ]
type = changestate
value = 207
triggerall = palno = 12
triggerall = statetype = S
triggerall = ctrl
triggerall = Stateno!=207
triggerall =roundstate = 2
trigger1 = !(sysvar(0)&128)
trigger1 = command = "CS"
trigger2 = (sysvar(0)&128)
trigger2 = var(58)>40
trigger2 = var(52)
trigger2 = !fvar(8)
trigger3 = (sysvar(0)&128)
trigger3 = fvar(8)
trigger3 = random<10
trigger4 = (sysvar(0)&128)
trigger4 = (sysvar(0)&256)
trigger4 = fvar(39)<12

[state -1,シャドウスラッシュ]
type = changestate
value = 206
triggerall = palno = 12
triggerall = statetype = S
triggerall = ctrl
triggerall = Stateno!=206
triggerall =roundstate = 2
trigger1 = !(sysvar(0)&128)
trigger1 = command = "SS"
trigger2 = (sysvar(0)&128)
trigger2 = var(58)>50
trigger2 = !fvar(7)
;trigger2 = var(23)
trigger2 = random<320
trigger3 = (sysvar(0)&128)
trigger3 = var(58)>400
trigger3 = !fvar(7)
trigger3 = !var(1)&&!var(6)
trigger3 = !var(14)
trigger3 = !var(22)
trigger3 = random<35
trigger4 = (sysvar(0)&128)
trigger4 = var(58)>400
trigger4 = fvar(0)
trigger4 = fvar(3)
trigger4 = fvar(6)
trigger4 = fvar(7)
trigger4 = var(23)&&var(24)&&var(33)
trigger4 = random<40
trigger5 = (sysvar(0)&128)
trigger5 = var(58)>400
trigger5 = fvar(0)
trigger5 = fvar(3)
trigger5 = fvar(6)
trigger5 = fvar(7)
trigger5 = var(23)&&var(24)&&var(33)&&var(34)
trigger5 = random<60
trigger6 = (sysvar(0)&128)
trigger6 = var(58)>400
trigger6 = fvar(0)
trigger6 = fvar(3)
trigger6 = fvar(6)
trigger6 = fvar(7)
trigger6 = var(23)&&var(24)&&var(33)&&var(34)&&var(35)
trigger6 = random<80
trigger7 = (sysvar(0)&128)
trigger7 = var(58)>400
trigger7 = fvar(7)<0&&fvar(7)<fvar(3)&&fvar(7)<fvar(6)
trigger7 = random<40
trigger8 = (sysvar(0)&128)
trigger8 = var(58)>700
trigger8 = !fvar(7)
trigger8 = random<510
trigger9 = (sysvar(0)&128)
trigger9 = fvar(7)>6
trigger9 = !var(23)
trigger9 = random<7
trigger10 = (sysvar(0)&128)
trigger10 = var(58)>400
trigger10 = fvar(0)
trigger10 = fvar(3)
trigger10 = fvar(6)
trigger10 = fvar(7)
trigger10 = var(23)&&var(24)
trigger10 = random<30
trigger11 = (sysvar(0)&128)
trigger11 = var(58)>400
trigger11 = fvar(0)
trigger11 = fvar(3)
trigger11 = fvar(6)
trigger11 = fvar(7)
trigger11 = var(23)
trigger11 = random<25
trigger12 = (sysvar(0)&128)
trigger12 = var(58)>400
trigger12 = fvar(0)
trigger12 = fvar(3)
trigger12 = fvar(6)
trigger12 = fvar(7)
trigger12 = !var(23)
trigger12 = random<10
trigger13 = (sysvar(0)&128)
trigger13 = var(58)>1400
trigger13 = fvar(7)
trigger13 = random<13
trigger14 = (sysvar(0)&128)
trigger14 = var(58)>3400
trigger14 = random<40

[state -1,カオスディスペア]
type = changestate
value = 214
triggerall = palno = 12
triggerall = statetype = S
triggerall = ctrl
triggerall = Stateno!=206
triggerall =roundstate = 2
trigger1 = !(sysvar(0)&128)
trigger1 = command = "CDP"
trigger2 = (sysvar(0)&128)
trigger2 = var(58)>500
trigger2 = !fvar(10)
trigger2 = random<320
trigger3 = (sysvar(0)&128)
trigger3 = var(58)=[400,6000]
trigger3 = fvar(10)
trigger3 = random<35
trigger4 = (sysvar(0)&128)
trigger4 = var(58)>6000
trigger4 = random<45

[state -1,カオスノヴァ]
type = changestate
value = 208
triggerall = palno = 12
triggerall = statetype = S
triggerall = ctrl
triggerall = Stateno!=208
triggerall =roundstate = 2
trigger1 = !(sysvar(0)&128)
trigger1 = command = "CN"
trigger2 = (sysvar(0)&128)
trigger2 = var(58)>2500
trigger2 = var(52)
trigger2 = !fvar(9)
trigger2 = random<70
trigger3 = (sysvar(0)&128)
trigger3 = var(58)>3000
trigger3 = !fvar(9)
trigger3 = random<120
trigger4 = (sysvar(0)&128)
trigger4 = var(58)>3000
trigger4 = var(53)
trigger4 = fvar(9)
trigger4 = random<50

[state -1シャドウマテリアル]
type = changestate
value = 216
triggerall = palno = 12
triggerall = statetype = S
triggerall = ctrl
triggerall = Stateno!=216
triggerall =roundstate = 2
trigger1 = !(sysvar(0)&128)
trigger1 = command = "SM"
trigger2 = (sysvar(0)&128)
trigger2 = var(58)>100
trigger2 = fvar(8)
trigger2 = !fvar(12)
trigger2 = var(1)
trigger2 = random<160
trigger3 = (sysvar(0)&128)
trigger3 = var(58)>100
trigger3 = fvar(8)
trigger3 = !fvar(12)
trigger3 = !var(1)
trigger3 = !var(14)
trigger3 = random<10
trigger4 = (sysvar(0)&128)
trigger4 = var(58)>100
trigger4 = fvar(12)<5
trigger4 = var(1)&&var(2)
trigger4 = random<20
trigger5 = (sysvar(0)&128)
trigger5 = var(58)>100
trigger5 = fvar(12)<5
trigger5 = var(1)&&var(2)&&var(3)
trigger5 = random<30
trigger6 = (sysvar(0)&128)
trigger6 = var(58)>100
trigger6 = fvar(0)<7
trigger6 = var(1)&&var(2)&&var(3)&&var(4)
trigger6 = random<40
trigger7 = (sysvar(0)&128)
trigger7 = var(58)>5000
trigger7 = random<20
trigger8 = (sysvar(0)&128)
trigger8 = var(58)>8000
trigger8 = random<20

[state -1シャドウバースト]
type = changestate
value = 217
triggerall = palno = 12
triggerall = statetype = S
triggerall = ctrl
triggerall = Stateno!=217
triggerall =roundstate = 2
trigger1 = !(sysvar(0)&128)
trigger1 = command = "SM"
trigger2 = (sysvar(0)&128)
trigger2 = var(58)>300
trigger2 = !fvar(13)
trigger2 = random<160
trigger3 = (sysvar(0)&128)
trigger3 = !fvar(13)
trigger3 = var(58) > 2000
trigger3 = random < 200
trigger4 = (sysvar(0)&128)
trigger4 = var(58)>100
trigger4 = fvar(13)<5
trigger4 = random<40
trigger5 = (sysvar(0)&128)
trigger5 = var(58)>100
trigger5 = random<15


[state -1,カオスバースト]
type = changestate
value = 215
triggerall = palno = 12
triggerall = statetype = S
triggerall = ctrl
triggerall = Stateno!=215
triggerall =roundstate = 2
trigger1 = !(sysvar(0)&128)
trigger1 = command = "CB"
trigger2 = (sysvar(0)&128)
trigger2 = var(58)>100
trigger2 = fvar(8)
trigger2 = !fvar(11)
trigger2 = random<200
trigger3 = (sysvar(0)&128)
trigger3 = var(58)>1000
trigger3 = !fvar(11)
trigger3 = random<60
trigger4 = (sysvar(0)&128)
trigger4 = var(58)>1000
trigger4 = fvar(11)
trigger4 = random<20

[state -1,様子見]
type = null;changestate
value = 0
triggerall = statetype = S
triggerall = ctrl
triggerall = Stateno!=0
triggerall =roundstate = 2
trigger1 = (sysvar(0)&128)
trigger1 = var(58)<100

[state -1,カオスマジック]
type = changestate
value = 204
triggerall = statetype = S
triggerall = ctrl
triggerall = Stateno!=204
triggerall =roundstate = 2
trigger1 = !(sysvar(0)&128)
trigger1 = command = "x"
trigger2 = (sysvar(0)&128)
trigger2 = random<35

[state -1,カオススピア]
type = changestate
value = 205
triggerall = statetype = S
triggerall = ctrl
triggerall = Stateno!=205
triggerall =roundstate = 2
trigger1 = !(sysvar(0)&128)
trigger1 = command = "y"
trigger2 = (sysvar(0)&128)
trigger2 = random<55


[state -1,挑発]
type = changestate
value = 195
;triggerall = palno!=12
triggerall = statetype = S
triggerall = ctrl
triggerall = Stateno!=195
trigger1 = command = "start"
trigger2 = palno!=12
trigger2 = (sysvar(0)&128)
trigger2 = random<15

[state -1,スピン]
type = changestate
value = 209
triggerall = palno!=12
triggerall = statetype = S
triggerall = ctrl
trigger1 = Stateno=20
trigger1 = !(sysvar(0)&128)
trigger1 = command = "a"
trigger2 = (sysvar(0)&128)
trigger2 = random<85

[state -1,対空スピン]
type = changestate
value = 210
triggerall = palno!=12
triggerall = statetype = S
triggerall = ctrl
trigger1 = Stateno=20
trigger1 = !(sysvar(0)&128)
trigger1 = command = "b"
trigger2 = (sysvar(0)&128)
trigger2 = random<65
